summaryrefslogtreecommitdiffstats
path: root/filehooker
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-03-25 22:25:08 +0100
committermakefu <github@syntax-fehler.de>2014-03-25 22:25:08 +0100
commit03d8dd28aaaf10aa25fb9c5b2ee22c8ba5798d3c (patch)
tree3e8c255eec6dd1a658fcc59c394fff67b78d11d7 /filehooker
parentc6c488bba8dc6735bb48d85c9bd43f6f33bce773 (diff)
add reaktor secret
Diffstat (limited to 'filehooker')
-rw-r--r--filehooker/root-image/krebs/bin/add-reaktor-secret.sh18
-rw-r--r--filehooker/root-image/krebs/etc/Reaktor/config.py23
2 files changed, 37 insertions, 4 deletions
diff --git a/filehooker/root-image/krebs/bin/add-reaktor-secret.sh b/filehooker/root-image/krebs/bin/add-reaktor-secret.sh
new file mode 100644
index 00000000..7d3fa7f8
--- /dev/null
+++ b/filehooker/root-image/krebs/bin/add-reaktor-secret.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -euf
+green='\e[0;32m'
+red='\e[0;31m'
+nc='\e[0m'
+black='\e[0;30m'
+
+
+printf "${green}Add a Reaktor Secret${nc}\n"
+
+printf "provide Nick Name:\n"
+nick=${1:-}
+test -z "${nick:-}" && read nick
+printf "provide Secret:$black\n"
+nick=${2:-}
+test -z "${secret:-}" && read secret
+
+printf "${nc}nick secret"
diff --git a/filehooker/root-image/krebs/etc/Reaktor/config.py b/filehooker/root-image/krebs/etc/Reaktor/config.py
index 385c837d..625494cc 100644
--- a/filehooker/root-image/krebs/etc/Reaktor/config.py
+++ b/filehooker/root-image/krebs/etc/Reaktor/config.py
@@ -9,23 +9,26 @@ irc_hammer_interval = 10
irc_kill_timeout = 360
irc_nickname = name
irc_server = 'irc.freenode.org'
+irc_restart_timeout = 5
irc_port = 6667
irc_channels = [
'#filehooker'
]
+admin_file='admin.lst'
+auth_file='auth.lst'
+
def default_command(cmd):
return {
'capname': cmd,
'pattern': '^(?:' + name + '|\\*):\\s*' + cmd + '\\s*(?:\\s+(?P<args>.*))?$',
'argv': [ 'commands/' + cmd ] }
-commands = [
+public_commands = [
default_command('caps'),
default_command('hello'),
default_command('reload'),
- default_command('refresh_shares'),
- default_command('ftpget'),
+ default_command('search'),
default_command('list_downloads'),
default_command('badcommand'),
default_command('rev'),
@@ -38,5 +41,17 @@ commands = [
'argv': [ 'commands/respond','You are made of stupid!'] },
# "highlight"
{ 'pattern': '.*\\b' + name + '\\b.*',
- 'argv': [ 'commands/say', 'I\'m famous' ] }
+ 'argv': [ 'commands/say', 'I\'m famous' ] },
+ # identify via direct connect
+ { 'capname': 'identify',
+ 'pattern': 'identify' + '\\s*(?:\\s+(?P<args>.*))?$',
+ 'argv' : [ 'commands/identify' ]}
+
+]
+
+commands = [
+ default_command('reload'),
+ default_command('update-search'),
+ default_command('refresh_shares'),
+ default_command('ftpget')
]